# boost::numeric::ublas::scalar_multiplies_assign< T1, T2 > Struct Template Reference

Inherits boost::numeric::ublas::scalar_binary_assign_functor< T1, T2 >.

List of all members.

## Classes

struct | rebind

## Public Types

typedef scalar_binary_assign_functor < T1, T2 >::argument1_type | argument1_type
typedef scalar_binary_assign_functor < T1, T2 >::argument2_type | argument2_type

## Static Public Member Functions

static BOOST_UBLAS_INLINE void | apply (argument1_type t1, argument2_type t2)

## Static Public Attributes

static const bool | computed = true

### template<class T1, class T2>
struct boost::numeric::ublas::scalar_multiplies_assign< T1, T2 >